package org.xbib.jdbc.pool.api.exceptionsorter;

import java.sql.SQLException;
import org.xbib.jdbc.pool.api.configuration.XbibConnectionPoolConfiguration.ExceptionSorter;

/**
 * Exception sorter for MSSQL databases.
 */
public class MSSQLExceptionSorter implements ExceptionSorter {

    public MSSQLExceptionSorter() {
    }

    @Override
    @SuppressWarnings("CallToSuspiciousStringMethod")
    public boolean isFatal(SQLException e) {
        return "08S01".equals(e.getSQLState());
    }
}
