package org.xbib.jdbc.pool.api.exceptionsorter;

import java.sql.SQLException;
import org.xbib.jdbc.pool.api.configuration.XbibConnectionPoolConfiguration.ExceptionSorter;

/**
 * Exception sorter for DB2 databases.
 */
public class DB2ExceptionSorter implements ExceptionSorter {

    public DB2ExceptionSorter() {
    }

    @Override
    @SuppressWarnings("MagicNumber")
    public boolean isFatal(SQLException e) {
        int code = Math.abs(e.getErrorCode());
        return code == 4470 || code == 4499;
    }
}
